Package org.eclipse.birt.chart.computation

# Class UserDataSetHints

java.lang.Object
org.eclipse.birt.chart.computation.UserDataSetHints

public class UserDataSetHints extends Object
This class provides the ability to process the user dataSets. WARNING: This is an internal class and subject to change

## Constructor Summary

Constructors
Constructor
Description
`UserDataSetHints(org.eclipse.emf.common.util.EMap<String,DataSet> allSeriesDataSets)`
The constructor.
`UserDataSetHints(org.eclipse.emf.common.util.EMap<String,DataSet> allSeriesDataSets, boolean bReverse)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`final void`
`next(DataPointHints dph)`
Next all associated datasetiterators and update the datapointhints object.
`final void`
`reset()`
Resets all associated datasetiterators.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserDataSetHints

public UserDataSetHints(org.eclipse.emf.common.util.EMap<String,DataSet> allSeriesDataSets) throws ChartException
The constructor.

Parameters:
  `allSeriesDataSets` -
Throws:
  `ChartException`

### UserDataSetHints

public UserDataSetHints(org.eclipse.emf.common.util.EMap<String,DataSet> allSeriesDataSets, boolean bReverse) throws ChartException
The constructor.

Parameters:
  `allSeriesDataSets` -
  `bReverse` - indicates if category is reversed
Throws:
  `ChartException`

## Method Details

### reset

public final void reset()
Resets all associated datasetiterators.

### next

public final void next(DataPointHints dph)
Next all associated datasetiterators and update the datapointhints object.

Parameters:
  `dph` -